'/*SDOC*************************************************************
'
'  Module:	CmdID.bas
'
'  Copyright 2005 TriTools Partners L.L.C.
'
'  Current Version: 5.0.1
' 
'  Revision Date: 02/01/05
'  
'  Description: Visual CADD command and message IDs
'
'  Revision Record:
'
'	Version			Changes & Additions
'	========		=====================================================
'	3.0.0				Search: "version 3.0.0"
'	4.0.0				Search: "version 4.0.0"
'	4.0.4				Search: "version 4.0.4"
'	4.0.5				Search: "version 4.0.5"
'	5.0.0				Search: "version 5.0.0"
'	5.0.1				Search: "version 5.0.1"
'	
'*************************************************************EDOC*/

Attribute VB_Name = "CmdID"
Option Explicit

' Visual CADD Public Command Constants

' FILE Section
Public Const SettingBase = 1100
Public Const TOKENSETTINGFIRST = 1100
Public Const FIRSTVALIDTOKEN = 1100

' Symbol Tokens
Public Const CMD_SymClr = 1101
Public Const CMD_SymNm = 1102
Public Const CMD_SymRot = 1103
Public Const CMD_SymSc = 1104
Public Const CMD_SymScX = 1105
Public Const CMD_SymScY = 1106

' Text Tokens
Public Const CMD_TextChSp = 1109
Public Const CMD_TextClr = 1110
Public Const CMD_TextLay = 1111
Public Const CMD_TextLnSp = 1112
Public Const CMD_TextJust = 1113
Public Const CMD_TextHt = 1114
Public Const CMD_TextRot = 1115
Public Const CMD_TextAsp = 1116
Public Const CMD_TextBold = 1117
Public Const CMD_TextItalic = 1118
Public Const CMD_TextFont = 1119
Public Const CMD_TextStr = 1120

' Draw Setting Tokens
Public Const CMD_GridX = 1123
Public Const CMD_GridY = 1124
Public Const CMD_OrthoAngleVar = 1125
Public Const CMD_FilletRVar = 1126

Public Const CMD_SymSnapOn = 1129
Public Const CMD_DrawColor = 1130
Public Const CMD_DrawWidth = 1131
Public Const CMD_DrawLayer = 1132
Public Const CMD_DrawLtype = 1133
Public Const CMD_AutoFilletOn = 1134
Public Const CMD_AutoFilletOff = 1135
Public Const CMD_SolidOn = 1136
Public Const CMD_SolidOff = 1137
Public Const CMD_WallWidth1 = 1138
Public Const CMD_WallWidth2 = 1139
Public Const CMD_RPolySides = 1140
Public Const CMD_RPolyInscribeOn = 1141
Public Const CMD_RPolyInscribeOff = 1142
Public Const CMD_OrthoOn = 1143
Public Const CMD_OrthoOff = 1144
Public Const CMD_CursorFreeOn = 1145
Public Const CMD_CursorFreeOff = 1146
Public Const CMD_IncSnapOn = 1147
Public Const CMD_IncSnapOff = 1148
Public Const CMD_TrapAng = 1149
Public Const CMD_IncSnapSize = 1150
Public Const CMD_MOMode = 1151
Public Const CMD_MBMode = 1152
Public Const CMD_MRMode = 1153
Public Const CMD_FilletPreviewOn = 1154
Public Const CMD_FilletPreviewOff = 1155
Public Const CMD_OffsetFixed = 1156
Public Const CMD_OffsetUnFixed = 1157
Public Const CMD_ChamferDist1 = 1158
Public Const CMD_ChamferDist2 = 1159
Public Const CMD_OffsetDist = 1160
Public Const CMD_PercentSnapVal = 1161

' Mod Setting Tokens
Public Const CMD_MCNumCopies = 1162
Public Const CMD_MCRadCopies = 1163
Public Const CMD_MCNumRows = 1164
Public Const CMD_MCScale = 1165
Public Const CMD_MCAngle = 1166
Public Const CMD_MCSpanAngle = 1167
Public Const CMD_MCScaleXY = 1168
Public Const CMD_MCScaleX = 1169
Public Const CMD_MCScaleY = 1170

Public Const CMD_SymSnapOff = 1171
Public Const CMD_AllLayerEdOn = 1172
Public Const CMD_AllLayerEdOff = 1173
Public Const CMD_AllLayerSnapOn = 1174
Public Const CMD_AllLayerSnapOff = 1175

Public Const CMD_SetColor = 1176
Public Const CMD_SetLtype = 1177
Public Const CMD_SetLayer = 1178
Public Const CMD_SetWidth = 1180

Public Const CMD_UIOff = 1181
Public Const CMD_UIOn = 1182

Public Const CMD_HatchNm = 1183
Public Const CMD_HatchScale = 1184
Public Const CMD_HatchRot = 1185
Public Const CMD_HatchColor = 1186
Public Const CMD_DrawHBnd = 1187
Public Const CMD_FillColor = 1188
Public Const CMD_DrawFBnd = 1189

Public Const CMD_ExeName = 1190
Public Const CMD_ExplodeCLines = 1191
Public Const CMD_LTScaleW = 1192
Public Const CMD_LTScaleD = 1193
Public Const CMD_DllRunName = 1194
Public Const CMD_DllRunFunctionName = 1195
Public Const CMD_DllRunCmdLine = 1196
Public Const CMD_OleDllName = 1197
Public Const CMD_OleClassName = 1198
Public Const CMD_OleFunctionName = 1199

Public Const CMD_FileName = 1200
Public Const CMD_ScrollBar = 1201
Public Const CMD_OleCmdLine = 1202

Public Const CMD_IsoMode = 1203
Public Const CMD_IsoLeft = 1204
Public Const CMD_IsoRight = 1205
Public Const CMD_IsoTop = 1206

Public Const CMD_SetMultiLineStyle = 1207 'Added version 4.0.0
Public Const CMD_SetRealWidth = 1208 'Added version 5.0.0
Public Const CMD_LargeIcons = 1209 'Added version 5.0.1

' Paths
Public Const CMD_SYSPath = 1210
Public Const CMD_VCDPath = 1211
Public Const CMD_VCSPath = 1212
Public Const CMD_VCFPath = 1213
Public Const CMD_DWGPath = 1214
Public Const CMD_DXFPath = 1215

Public Const CMD_LayerUpdateAllViews = 1220

Public Const CMD_DatumOff = 1230
Public Const CMD_DatumXY = 1231
Public Const CMD_DatumX = 1232
Public Const CMD_DatumY = 1233

Public Const CMD_UseByLayer = 1243
Public Const CMD_UseSymbolColor = 1244

Public Const CMD_DimTextFont = 1245 'Added version 4.0.0
Public Const CMD_DimTextHt = 1246 'Added version 4.0.0
Public Const CMD_DimTextAsp = 1247 'Added version 4.0.0
Public Const CMD_DimTextSlant = 1248 'Added version 4.0.0
Public Const CMD_DimTextChSp = 1249 'Added version 4.0.0
Public Const CMD_DimTextBold = 1250 'Added version 4.0.0
Public Const CMD_DimTextItal = 1251 'Added version 4.0.0
Public Const CMD_DimTextUnder = 1252 'Added version 4.0.0
Public Const CMD_DimTextMono = 1253 'Added version 4.0.0
Public Const CMD_DimTextFill = 1254 'Added version 4.0.0
Public Const CMD_DimTextVert = 1255 'Added version 4.0.0
Public Const CMD_DimTextInLn = 1256 'Added version 4.0.0
Public Const CMD_DimTextAbove = 1257 'Added version 4.0.0
Public Const CMD_DimTextCent = 1258 'Added version 4.0.0
Public Const CMD_DimTextAltRo = 1259 'Added version 4.0.0
Public Const CMD_DimTextOvStr = 1260 'Added version 4.0.0
Public Const CMD_DimTextOvwrt = 1261 'Added version 4.0.0
Public Const CMD_DimTextPreSt = 1262 'Added version 4.0.0
Public Const CMD_DimTextPrefx = 1263 'Added version 4.0.0
Public Const CMD_DimTextSufSt = 1264 'Added version 4.0.0
Public Const CMD_DimTextSuffx = 1265 'Added version 4.0.0
Public Const CMD_DimTextTol = 1266 'Added version 4.0.0
Public Const CMD_DimTextTolLo = 1267 'Added version 4.0.0
Public Const CMD_DimTextTolUp = 1268 'Added version 4.0.0
Public Const CMD_DimTextScale = 1269 'Added version 4.0.0
Public Const CMD_DimTextLnSp = 1270 'Added version 4.0.0
Public Const CMD_DimAngle = 1271 'Added version 4.0.0
Public Const CMD_DimArrowType = 1272 'Added version 4.0.0
Public Const CMD_DimArrowSize = 1273 'Added version 4.0.0
Public Const CMD_DimArrowAng = 1274 'Added version 4.0.0
Public Const CMD_DimArrowFlip = 1275 'Added version 4.0.0
Public Const CMD_DimFlipLeft = 1276 'Added version 4.0.0
Public Const CMD_DimFlipRight = 1277 'Added version 4.0.0
Public Const CMD_DimExtOffset = 1278 'Added version 4.0.0
Public Const CMD_DimExtAbove = 1279 'Added version 4.0.0
Public Const CMD_DimExtBelow = 1280 'Added version 4.0.0
Public Const CMD_DimStretch = 1281 'Added version 4.0.0
Public Const CMD_DimUseLayer = 1282 'Added version 4.0.0
Public Const CMD_DimLayer = 1283 'Added version 4.0.0
Public Const CMD_DimLineShow = 1284 'Added version 4.0.0
Public Const CMD_DimLtArShow = 1285 'Added version 4.0.0
Public Const CMD_DimRtArShow = 1286 'Added version 4.0.0
Public Const CMD_DimLtExShow = 1287 'Added version 4.0.0
Public Const CMD_DimRtExShow = 1288 'Added version 4.0.0
Public Const CMD_DimTextShow = 1289 'Added version 4.0.0
Public Const CMD_DimLineColor = 1290 'Added version 4.0.0
Public Const CMD_DimLtArColor = 1291 'Added version 4.0.0
Public Const CMD_DimRtArColor = 1292 'Added version 4.0.0
Public Const CMD_DimLtExColor = 1293 'Added version 4.0.0
Public Const CMD_DimRtExColor = 1294 'Added version 4.0.0
Public Const CMD_DimTextColor = 1295 'Added version 4.0.0
Public Const CMD_DimLineType = 1296 'Added version 4.0.0
Public Const CMD_DimLtArType = 1297 'Added version 4.0.0
Public Const CMD_DimRtArType = 1298 'Added version 4.0.0
Public Const CMD_DimLtExType = 1299 'Added version 4.0.0
Public Const CMD_DimRtExType = 1300 'Added version 4.0.0
Public Const CMD_DimTextType = 1301 'Added version 4.0.0
Public Const CMD_DimLineWidth = 1302 'Added version 4.0.0
Public Const CMD_DimLtArWidth = 1303 'Added version 4.0.0
Public Const CMD_DimRtArWidth = 1304 'Added version 4.0.0
Public Const CMD_DimLtExWidth = 1305 'Added version 4.0.0
Public Const CMD_DimRtExWidth = 1306 'Added version 4.0.0
Public Const CMD_DimTextWidth = 1307 'Added version 4.0.0
Public Const CMD_TextUseLayer = 1308 'Added version 4.0.0
Public Const CMD_TextSlant = 1309 'Added version 4.0.0
Public Const CMD_TextUnderln = 1310 'Added version 4.0.0
Public Const CMD_TextMono = 1311 'Added version 4.0.0
Public Const CMD_TextFill = 1312 'Added version 4.0.0
Public Const CMD_AtbFont = 1313 'Added version 4.0.0
Public Const CMD_AtbHt = 1314 'Added version 4.0.0
Public Const CMD_AtbColor = 1315 'Added version 4.0.0
Public Const CMD_AtbUseLocal = 1316 'Added version 4.0.0
Public Const CMD_AtbLocalDsp = 1317 'Added version 4.0.0
Public Const CMD_AtbLclLblDsp = 1318 'Added version 4.0.0
Public Const CMD_AtbGlobalDsp = 1319 'Added version 4.0.0
Public Const CMD_AtbGlbLblDsp = 1320 'Added version 4.0.0
Public Const CMD_SymAutoExp = 1321 'Added version 4.0.0
Public Const CMD_SymExplodeTo = 1322 'Added version 4.0.0
Public Const CMD_OrthoAdvType = 1323 'Added version 4.0.0
Public Const CMD_OrthoAdvInc = 1324 'Added version 4.0.0
Public Const CMD_OrthoAdvStep = 1325 'Added version 4.0.0
Public Const CMD_OrthoAdvOne = 1326 'Added version 4.0.0
Public Const CMD_BasepointPt = 1327 'Added version 4.0.0
Public Const CMD_PrtAddPreset = 1328 'Added version 4.0.0
Public Const CMD_PrtDelPreset = 1329 'Added version 4.0.0
Public Const CMD_PrtCurPreset = 1330 'Added version 4.0.0
Public Const CMD_PrtDevice = 1331 'Added version 4.0.0
Public Const CMD_PrtPgWidth = 1332 'Added version 4.0.0
Public Const CMD_PrtPgHeight = 1333 'Added version 4.0.0
Public Const CMD_PrtMargLeft = 1334 'Added version 4.0.0
Public Const CMD_PrtMargBot = 1335 'Added version 4.0.0
Public Const CMD_PrtMargRight = 1336 'Added version 4.0.0
Public Const CMD_PrtMargTop = 1337 'Added version 4.0.0
Public Const CMD_PrtScale = 1338 'Added version 4.0.0
Public Const CMD_PrtOrigin = 1339 'Added version 4.0.0
Public Const CMD_PrtViewType = 1340 'Added version 4.0.0
Public Const CMD_PrtLandscape = 1341 'Added version 4.0.0
Public Const CMD_PrtNumCopies = 1342 'Added version 4.0.0
Public Const CMD_PrtRotAngle = 1343 'Added version 4.0.0
Public Const CMD_PrtMetric = 1344 'Added version 4.0.0
Public Const CMD_PrtFastDraw = 1345 'Added version 4.0.0
Public Const CMD_PrtSelected = 1346 'Added version 4.0.0
Public Const CMD_PrtToFile = 1347 'Added version 4.0.0
Public Const CMD_PrtDateStamp = 1348 'Added version 4.0.0
Public Const CMD_PrtAllBlack = 1349 'Added version 4.0.0
Public Const CMD_PrtLW0HasWid = 1350 'Added version 4.0.0
Public Const CMD_PrtLineWidth = 1351 'Added version 4.0.0
Public Const CMD_PrtMovePage = 1352 'Added version 4.0.0
Public Const CMD_PrtPaperSize = 1353 'Added version 4.0.0
Public Const CMD_PrtPreview = 1354 'Added version 4.0.0
Public Const CMD_PrtPaperLen = 1355 'Added version 4.0.0
Public Const CMD_PrtPaperWid = 1356 'Added version 4.0.0
Public Const CMD_PrtCenter = 1357 'Added version 4.0.0
Public Const CMD_PrtStampForm = 1358 'Added version 4.0.0
Public Const CMD_PrtStampSize = 1359 'Added version 4.0.0
Public Const CMD_PrtStampLoc = 1360 'Added version 4.0.0
Public Const CMD_PrtStampFont = 1361 'Added version 4.0.0
Public Const CMD_DimDecimal = 1362 'Added version 4.0.0
Public Const CMD_DimFraction = 1363 'Added version 4.0.0
Public Const CMD_DimAngForm = 1364 'Added version 4.0.0
Public Const CMD_DimLeadZero = 1365 'Added version 4.0.0
Public Const CMD_DimUnits = 1366 'Added version 4.0.0
Public Const CMD_DimSUFrac = 1367 'Added version 4.0.0
Public Const CMD_DimSecond = 1368 'Added version 4.0.0
Public Const CMD_DimDistForm = 1369 'Added version 4.0.0
Public Const CMD_DimSecForm = 1370 'Added version 4.0.0
Public Const CMD_DispDecimal = 1371 'Added version 4.0.0
Public Const CMD_DispFraction = 1372 'Added version 4.0.0
Public Const CMD_DispAngForm = 1373 'Added version 4.0.0
Public Const CMD_DispLeadZero = 1374 'Added version 4.0.0
Public Const CMD_DispUnits = 1375 'Added version 4.0.0
Public Const CMD_GCDPath = 1376 'Added version 4.0.0
Public Const CMD_MNUPath = 1377 'Added version 4.0.0
Public Const CMD_STYPath = 1378 'Added version 4.0.0
Public Const CMD_HatchDrawBnd = 1379 'Added version 4.0.0
Public Const CMD_CursorSize = 1380 'Added version 4.0.0
Public Const CMD_DefTool = 1381 'Added version 4.0.0
Public Const CMD_ZoomFactor = 1382 'Added version 4.0.0
Public Const CMD_AskCenter = 1383 'Added version 4.0.0
Public Const CMD_ArrowWorld = 1384 'Added version 4.0.0
Public Const CMD_AroWrldStep = 1385 'Added version 4.0.0
Public Const CMD_AroScrnStep = 1386 'Added version 4.0.0
Public Const CMD_BackColor = 1387 'Added version 4.0.0
Public Const CMD_CursColor = 1388 'Added version 4.0.0
Public Const CMD_SelColor = 1389 'Added version 4.0.0
Public Const CMD_RubColor = 1390 'Added version 4.0.0
Public Const CMD_ShowDrag = 1391 'Added version 4.0.0
Public Const CMD_SearchTol = 1392 'Added version 4.0.0
Public Const CMD_ShowLnType = 1393 'Added version 4.0.0
Public Const CMD_ShowLnWidth = 1394 'Added version 4.0.0
Public Const CMD_ShowFill = 1395 'Added version 4.0.0
Public Const CMD_ShowHatch = 1396 'Added version 4.0.0
Public Const CMD_ShowPoint = 1397 'Added version 4.0.0
Public Const CMD_EnvSaveExit = 1398 'Added version 4.0.0
Public Const CMD_ShiftClick = 1399 'Added version 4.0.0
Public Const CMD_UseFileLock = 1400 'Added version 4.0.0
Public Const CMD_UseFastProp = 1401 'Added version 4.0.0
Public Const CMD_AutoBack = 1402 'Added version 4.0.0
Public Const CMD_AutoBackSec = 1403 'Added version 4.0.0
Public Const CMD_AutoSave = 1404 'Added version 4.0.0
Public Const CMD_AutoSaveSec = 1405 'Added version 4.0.0
Public Const CMD_FontSort = 1406 'Added version 4.0.0

' Leader Settings
Public Const CMD_LdrTextFont = 1407 'Added version 4.0.0
Public Const CMD_LdrTextHt = 1408 'Added version 4.0.0
Public Const CMD_LdrTextAsp = 1409 'Added version 4.0.0
Public Const CMD_LdrTextSlant = 1410 'Added version 4.0.0
Public Const CMD_LdrTextChSp = 1411 'Added version 4.0.0
Public Const CMD_LdrTextLnSp = 1412 'Added version 4.0.0
Public Const CMD_LdrTextBold = 1413 'Added version 4.0.0
Public Const CMD_LdrTextUnder = 1414 'Added version 4.0.0
Public Const CMD_LdrTextItal = 1415 'Added version 4.0.0
Public Const CMD_LdrTextMono = 1416 'Added version 4.0.0
Public Const CMD_LdrTextFill = 1417 'Added version 4.0.0
Public Const CMD_LdrArrowType = 1418 'Added version 4.0.0
Public Const CMD_LdrArrowSize = 1419 'Added version 4.0.0
Public Const CMD_LdrArrowAng = 1420 'Added version 4.0.0
Public Const CMD_LdrOffset = 1421 'Added version 4.0.0
Public Const CMD_LdrShoulder = 1422 'Added version 4.0.0

' Filter Settings
Public Const CMD_FltEntity = 1423 'Added version 4.0.0
Public Const CMD_FltLayer = 1424 'Added version 4.0.0
Public Const CMD_FltColor = 1425 'Added version 4.0.0
Public Const CMD_FltLnType = 1426 'Added version 4.0.0
Public Const CMD_FltLnWidth = 1427 'Added version 4.0.0
Public Const CMD_FltName = 1428 'Added version 4.0.0
Public Const CMD_FltActive = 1429 'Added version 4.0.0

' Layer Settings
Public Const CMD_HideLayers = 1430 'Added version 4.0.0
Public Const CMD_DispLayers = 1431 'Added version 4.0.0

Public Const CMD_LaySelect1 = 1432 'Added version 4.0.0
Public Const CMD_ZmViewName = 1433 'Added version 4.0.0
Public Const CMD_ChangeLayer = 1434 'Added version 4.0.0
Public Const CMD_ChangeColor = 1435 'Added version 4.0.0
Public Const CMD_ChangeLType = 1436 'Added version 4.0.0
Public Const CMD_ChangeLWidth = 1437 'Added version 4.0.0
Public Const CMD_ChangeRealW = 1438 'Added version 4.0.0
Public Const CMD_NumDivide = 1439 'Added version 4.0.0
Public Const CMD_DivBreak = 1440 'Added version 4.0.0
Public Const CMD_GroupProp = 1441 'Added version 4.0.0
Public Const CMD_ChangeApply = 1442 'Added version 4.0.0
Public Const CMD_LayerGroupApply = 1443 'Added version 4.0.0

Public Const CMD_SaveSettings = 1444 'Added version 4.0.4
Public Const CMD_RestoreSettings = 1445 'Added version 4.0.4

Public Const CMD_LdrVertAlign = 1446 'Added version 5.0.0
Public Const CMD_LdrJust = 1447 'Added version 5.0.0
Public Const CMD_LdrType = 1448 'Added version 5.0.0
Public Const CMD_LdrUseLayer = 1449 'Added version 5.0.0
Public Const CMD_LdrLayer = 1450 'Added version 5.0.0

Public Const TOKENSETTINGLAST = 1600

' Command ID's
Public Const ToolBase = 2100
Public Const TOKENTOOLFIRST = 2100

Public Const CMD_DrawPoint = 2101
Public Const CMD_DrawLineSingle = 2102
Public Const CMD_DrawLineContinuous = 2103
Public Const CMD_DrawRect2Pt = 2104
Public Const CMD_DrawRect3Pt = 2105
Public Const CMD_DrawCircle3Pt = 2106
Public Const CMD_DrawCircle2Pt = 2107
Public Const CMD_DrawArc3Pt = 2108
Public Const CMD_DrawArc2Pt = 2109
Public Const CMD_DrawEllipse = 2110
Public Const CMD_DrawBezierSingle = 2111
Public Const CMD_DrawBezierCont = 2112
Public Const CMD_DrawRPolygonCenter = 2113
Public Const CMD_DrawRPolygonSide = 2114
Public Const CMD_DrawIPolygon = 2115
Public Const CMD_DrawLineDouble = 2116
Public Const CMD_DrawEllipticalArcStartSpan = 2117
Public Const CMD_LastSymbol = 2119
Public Const CMD_SymPlace = 2120
Public Const CMD_DrawCurve = 2121
Public Const CMD_DrawCircleDiameter = 2122
Public Const CMD_DrawMultiLine = 2123
Public Const CMD_SymbolExplode = 2124
Public Const CMD_UndoLastVertex = 2125
Public Const CMD_UndoLastDim = 2126
Public Const CMD_SymPlaceFromMgr = 2127 'Added version 3.0.0
Public Const CMD_DrawGCADDLine = 2128 'Added version 4.0.0
Public Const CMD_DrawDoubleLine = 2129 'Added version 4.0.0
Public Const CMD_ContLineSingle = 2130 'Added version 4.0.0

' SNAPS
Public Const CMD_SnapPerpendicular = 2151
Public Const CMD_SnapTangent = 2152
Public Const CMD_SnapPercent = 2153
Public Const CMD_SnapClosestPoint = 2154
Public Const CMD_SnapMidPoint = 2155
Public Const CMD_SnapObject = 2156
Public Const CMD_SnapIntersection = 2157
Public Const CMD_SnapNearPoint = 2158
Public Const CMD_SnapQuad = 2159
Public Const CMD_SnapArcCenter = 2160
Public Const CMD_SnapLastPoint = 2161
Public Const CMD_SnapParallel = 2162
Public Const CMD_IncSnap = 2163
Public Const CMD_SnapMid2Points = 2164

' Dim,Leader,Text,Hatch Change
Public Const CMD_DimChange = 2170
Public Const CMD_LeaderChange = 2171
Public Const CMD_TextChange = 2172
Public Const CMD_HatchChange = 2173
 
' DIMS
Public Const CMD_DimDatumCurve = 2178 'Added version 4.0.0
Public Const CMD_LeaderCurve = 2179 'Added version 4.0.0
Public Const CMD_DimDatum = 2180
Public Const CMD_DimLinear = 2181
Public Const CMD_DimAngular = 2182
Public Const CMD_DimDialog = 2183
Public Const CMD_DimRadial = 2184
Public Const CMD_DimDiameter = 2185
Public Const CMD_Leader = 2186
Public Const CMD_DimMoveText = 2187
Public Const CMD_DimSlideText = 2188
Public Const CMD_DimMoveLine = 2189
Public Const CMD_DimMoveArc = 2190
Public Const CMD_DimEdit = 2191
Public Const CMD_LinDimHorz = 2192
Public Const CMD_LinDimVert = 2193
Public Const CMD_LinDimAligned = 2194
Public Const CMD_LinDimAngle = 2195
Public Const CMD_DimOrdinate = 2196
Public Const CMD_DimPoint = 2197
Public Const CMD_ChangeRefFrameFileName = 2198
Public Const CMD_LeaderEdit = 2199
Public Const CMD_DimPreview = 2200

' ZOOMS Section
Public Const CMD_ZoomRegen = 2201
Public Const CMD_ZoomRegenArea = 2202
Public Const CMD_ZoomArea = 2203
Public Const CMD_ZoomIn = 2204
Public Const CMD_ZoomOut = 2205
Public Const CMD_ZoomPan = 2206
Public Const CMD_ZoomAll = 2207
Public Const CMD_ZoomSelected = 2208
Public Const CMD_ZoomPrevious = 2209
Public Const CMD_ZoomLimits = 2210
Public Const CMD_ZoomValue = 2211
Public Const CMD_ZoomView = 2212
Public Const CMD_NameView = 2213
Public Const CMD_SetBasepoint = 2214
Public Const CMD_BackRedraw = 2215
Public Const CMD_QuickSearch = 2216
Public Const CMD_ZoomAllViews = 2217
Public Const CMD_ZoomRegenAllViews = 2218

Public Const CMD_ApplyRFZoomScale = 2227 'Added version 3.0.0
Public Const CMD_ApplyRFZoomView = 2228 'Added version 3.0.0

' MODIFY Section
Public Const CMD_MultiCopy = 2230
Public Const CMD_ModCopy = 2231
Public Const CMD_ModErase = 2232
Public Const CMD_ModMirror = 2233
Public Const CMD_ModMove = 2234
Public Const CMD_ModRotate = 2235
Public Const CMD_ModMovePoint = 2236
Public Const CMD_ModFillet = 2237
Public Const CMD_ModDoubleTrim = 2238
Public Const CMD_ModStretch = 2239
Public Const CMD_ModTrim = 2240
Public Const CMD_ModExtend = 2241
Public Const CMD_ModBreak = 2242
Public Const CMD_ModSelectionTrim = 2243
Public Const CMD_ModChamfer = 2244
Public Const CMD_ModCornerTrim = 2245
Public Const CMD_ModAlign = 2246
Public Const CMD_ModFitScale = 2247
Public Const CMD_ModRadCopy = 2248
Public Const CMD_ModArrayCopy = 2249
Public Const CMD_ModExplode = 2250
Public Const CMD_ModBezEdit = 2251
Public Const CMD_ModOffset = 2252
Public Const CMD_Reserve = 2253
Public Const CMD_ModCloseContour = 2254
Public Const CMD_ModChange = 2255
Public Const CMD_ModScale = 2256
Public Const CMD_EraseLast = 2257
Public Const CMD_TUserVarP1 = 2258
Public Const CMD_ModSelectionExtend = 2259
Public Const CMD_ModAdjoiningToMEP = 2260
Public Const CMD_ModOffsetMEP = 2261
Public Const CMD_ModBooleanAdd = 2262
Public Const CMD_ModBooleanSubtract = 2263
Public Const CMD_ModBooleanIntersect = 2264
Public Const CMD_WindowStretch = 2265
Public Const CMD_SingleTargetSelectionTrim = 2266
Public Const CMD_ModUsePlacementColorOn = 2267
Public Const CMD_ModUsePlacementColorOff = 2268

Public Const CMD_ModAttributeDisplayOn = 2269
Public Const CMD_ModAttributeDisplayOff = 2270
Public Const CMD_ModAttributeLabelOn = 2271
Public Const CMD_ModAttributeLabelOff = 2272
Public Const CMD_ModSplitPolygon = 2273 'Added version 3.0.0
Public Const CMD_ModMergePolygons = 2274 'Added version 3.0.0
Public Const CMD_ModJoin = 2275 'Added version 3.0.0

Public Const CMD_ModCopySingle = 2276 'Added version 4.0.0
Public Const CMD_ModMultiBreak = 2277 'Added version 4.0.0
Public Const CMD_Divide = 2278 'Added version 4.0.0

' Utility
Public Const CMD_InspectorMatch = 2300 'Added version 3.0.0
Public Const CMD_MeasureDistance = 2301
Public Const CMD_MeasureArea = 2302
Public Const CMD_MeasureAngle2 = 2303
Public Const CMD_MeasureAngle3 = 2304
Public Const CMD_MatchEntity = 2305
Public Const CMD_MatchTool = 2306
Public Const CMD_MeasureDone = 2308
Public Const CMD_PackData = 2309
Public Const CMD_TabletMode = 2310
Public Const CMD_TraceScale = 2311
Public Const CMD_DigDrawingAlign = 2312
Public Const CMD_ActiveArea = 2313
Public Const CMD_WTConfig = 2314
Public Const CMD_DigInfo = 2315
Public Const CMD_SaveEnvironment = 2316
Public Const CMD_FontConvert = 2317
Public Const CMD_WinExec = 2318

Public Const CMD_DimLeaderString = 2319 'Added version 5.0.0
Public Const CMD_SymbolCount = 2320
Public Const CMD_BOM2CLIP = 2321
Public Const CMD_CLIP2BOM = 2322
Public Const CMD_DllRun = 2323
Public Const CMD_DoDragDrop = 2324
Public Const CMD_PurgeLnt = 2325
Public Const CMD_LoadLnt = 2326
Public Const CMD_OleCreateClass = 2327
Public Const CMD_OleInvokeMethod = 2328
Public Const CMD_OlePropertyDlg = 2329 'Added version 4.0.4
Public Const CMD_OleTransparent = 2330 'Added version 5.0.0
Public Const CMD_OleForceToBack = 2331 'Added version 5.0.0

Public Const CMD_ImplicitEntityEdit = 2335
Public Const CMD_LayerGroupCombo = 2336
Public Const CMD_FilterReset = 2337
Public Const CMD_LayerGroupDlg = 2338
Public Const CMD_LayerEdit = 2339

' Misc Tools
Public Const CMD_SeedHatch = 2340
Public Const CMD_SeedFill = 2341

Public Const CMD_CleanData = 2342 'Added version 4.0.0

Public Const CMD_SymCreate = 2351
Public Const CMD_HatchSelected = 2352
Public Const CMD_FillSelected = 2353
Public Const CMD_Text = 2354
Public Const CMD_Like = 2355
Public Const CMD_TextBox = 2356
Public Const CMD_Help = 2358
Public Const CMD_BoundaryHatch = 2359
Public Const CMD_BoundaryFill = 2360
Public Const CMD_About = 2361
Public Const CMD_AboutDlg = 2363
Public Const CMD_AttributeAttach = 2364
Public Const CMD_AttributeCreate = 2365
Public Const CMD_ScriptAssign = 2366
Public Const CMD_AttributeEmbed = 2367
Public Const CMD_SpecificAttributeAttach = 2368
Public Const CMD_AttributeEdit = 2369
Public Const CMD_AttributeMove = 2370
Public Const CMD_AttributeMultiAttach = 2371
Public Const CMD_HelpIndex = 2372 'Redefined version 5.0.0 was CMD_HelpKey
Public Const CMD_HelpSupport = 2373 'Redefined version 5.0.0 was CMD_HelpTechSupport
Public Const CMD_HelpWebsite = 2374

' Windows Section
Public Const CMD_WindowCascade = 2375
Public Const CMD_WindowTileVert = 2376
Public Const CMD_WindowTileHorz = 2377
Public Const CMD_WindowArrangeIcons = 2378
Public Const CMD_WindowCloseAll = 2379
Public Const CMD_WindowNew = 2380
Public Const CMD_HelpCursor = 2381

' File Section
Public Const CMD_FileNew = 2400
Public Const CMD_FileOpen = 2401
Public Const CMD_FileSave = 2402
Public Const CMD_FileSaveAs = 2403
Public Const CMD_FileExit = 2404
Public Const CMD_FileClose = 2405
Public Const CMD_FilePrint = 2406
Public Const CMD_SymbolOpen = 2407
Public Const CMD_SymbolSave = 2408
Public Const CMD_ClearDrawing = 2409
Public Const CMD_FileMerge = 2410
Public Const CMD_PrintSetup = 2411
Public Const CMD_FilePlot = 2412
Public Const CMD_StyleOpen = 2413
Public Const CMD_StyleSave = 2414
Public Const CMD_AtbOpen = 2415
Public Const CMD_AtbSave = 2416
Public Const CMD_OleSaveCopyAs = 2417
Public Const CMD_OleUpdate = 2418 'Special Ole Function
Public Const CMD_LoadMenu = 2419
Public Const CMD_FileRun = 2420
Public Const CMD_NestedRun = 2421
Public Const CMD_NewView = 2422
Public Const CMD_BirdsEye = 2423
Public Const CMD_PlotOptions = 2424
Public Const CMD_PlotSetup = 2425
Public Const CMD_LoadAscii = 2426
Public Const CMD_ResetCmdExt = 2427
Public Const CMD_RefFrameCreate = 2428
Public Const CMD_FileSend = 2429	'Send file via Exchange
Public Const CMD_RefFramePlace = 2430
Public Const CMD_Edit = 2431
Public Const CMD_NestedRunDll = 2432

Public Const CMD_PreviewOpen = 2434	'Added version 4.0.0	
Public Const CMD_PreviewSave = 2435	'Added version 4.0.0
Public Const CMD_PreviewSaveAs = 2436	'Added version 4.0.0
Public Const CMD_PrintNoDlg = 2437	'Added version 4.0.0
Public Const CMD_EmergencyExit = 2438	'Added version 5.0.0

' EDIT Section
Public Const CMD_EditUndo = 2440
Public Const CMD_EditRedo = 2441
Public Const CMD_EditCut = 2442
Public Const CMD_EditCopy = 2443
Public Const CMD_EditPaste = 2444
Public Const CMD_EditClear = 2445
Public Const CMD_SelectAll = 2446
Public Const CMD_ClearSelection = 2447
Public Const CMD_InverseSelection = 2448
Public Const CMD_SelectionTool = 2449
Public Const CMD_TrackingTool = 2450
Public Const CMD_Penup = 2451
Public Const CMD_Abort = 2452
Public Const CMD_SelectionFilter = 2453
Public Const CMD_SelectWindow = 2454
Public Const CMD_TrackEnd = 2455
Public Const CMD_SelectObject = 2456
Public Const CMD_NewHandle = 2457
Public Const CMD_SelectLayer = 2458
Public Const CMD_SelectCrossing = 2460
Public Const CMD_SelectAdjoining = 2461
Public Const CMD_UserPoint = 2462
Public Const CMD_SelectionRibalog = 2463
Public Const CMD_Properties = 2464
Public Const CMD_Color = 2465
Public Const CMD_Layer = 2466
Public Const CMD_Ltype = 2467
Public Const CMD_Width = 2468
Public Const CMD_SelectLast = 2470
Public Const CMD_UserMatch = 2472
Public Const CMD_DeSelectAll = 2473
Public Const CMD_UserPointPenup = 2474
Public Const CMD_UserPointAbort = 2475
Public Const CMD_Hilite = 2476
Public Const CMD_FastProperties = 2477
Public Const CMD_AllLayerEdit = 2478
Public Const CMD_SnapLayer = 2479
Public Const CMD_SymSnap = 2480
Public Const CMD_LayerDisplay = 2481
Public Const CMD_LayerHide = 2482
Public Const CMD_LayerCurrent = 2483
Public Const CMD_RealWorldLW = 2484
Public Const CMD_SelectLastObject = 2485
Public Const CMD_LayerProperties = 2486
Public Const CMD_LayerPropertyReset = 2487

Public Const CMD_Group = 2488	'Added version 5.0.0
Public Const CMD_Ungroup = 2489	'Added version 5.0.0
Public Const CMD_LeaveGroup = 2490	'Added version 5.0.0
Public Const CMD_JoinGroup = 2491	'Added version 5.0.0

'NEW File menu items
Public Const CMD_ImportImage = 2492	'Added version 5.0.0
Public Const CMD_ExportImage = 2493	'Added version 5.0.0
Public Const CMD_ExportPDF = 2494	'Added version 5.0.0

' Dialog section
Public Const CMD_FillDlg = 2500
Public Const CMD_HatchDlg = 2501
Public Const CMD_DimTextVectDlg = 2502
Public Const CMD_AttribDlg = 2503
Public Const CMD_ObjectInfo = 2504
Public Const CMD_SpeedSym = 2505
Public Const CMD_SymDlg = 2506
Public Const CMD_DimTextDlg = 2507
Public Const CMD_DimArrowDlg = 2508
Public Const CMD_DimExtDlg = 2509
Public Const CMD_DimLineDlg = 2510
Public Const CMD_DimTolDlg = 2511
Public Const CMD_SymCreateDlg = 2512
Public Const CMD_LayerManager = 2513

Public Const CMD_AtbValueDlg = 2514
Public Const CMD_DimDisplayDlg = 2515
Public Const CMD_ToolBar = 2516
Public Const CMD_OptionMgr = 2517
Public Const CMD_PrintDlg = 2518
Public Const CMD_DimLeaderTextDlg = 2519
Public Const CMD_DimStringsDlg = 2520
Public Const CMD_TextSett = 2521
Public Const CMD_TextSettFromTextDlg = 2522
Public Const CMD_StyleDlg = 2523
Public Const CMD_DimEditDlg = 2524
Public Const CMD_SymReplace = 2525
Public Const CMD_MeasureDistanceDlg = 2526
Public Const CMD_MeasureAreaDlg = 2527
Public Const CMD_MeasureAngleDlg = 2528
Public Const CMD_SymRemove = 2529
Public Const CMD_LineScale = 2531 'Added version 4.0.0
Public Const CMD_FilletRadius = 2532
Public Const CMD_OrthoAngle = 2533
Public Const CMD_DBLineSettings = 2534
Public Const CMD_RPolygonNSides = 2535
Public Const CMD_ChamferDist = 2536
Public Const CMD_GridSize = 2537
Public Const CMD_GridDisplay = 2538
Public Const CMD_SnapGrid = 2539
Public Const CMD_GridOrigin = 2540

Public Const CMD_AutoFillet = 2541
Public Const CMD_OrthoMode = 2542
Public Const CMD_CursorFree = 2543
Public Const CMD_DimModeSingle = 2544
Public Const CMD_DimModeCumulative = 2545
Public Const CMD_DimModePartitioned = 2546

Public Const CMD_TabEntity = 2547
Public Const CMD_TabText = 2548
Public Const CMD_TabHatch = 2549
Public Const CMD_TabDim = 2550
Public Const CMD_TabSystem = 2551 'Removed version 4.0.0 replaced with CMD_TabSystem1 TBD remove from resource file
Public Const CMD_TabGeneral = 2552
Public Const CMD_TabConstraint = 2553
Public Const CMD_TabPath = 2554
Public Const CMD_TabDimText = 2555
Public Const CMD_TabNumeric = 2556
Public Const CMD_TabImportGCDFontMapping = 2557
Public Const CMD_TabExportGCDFontMapping = 2558
Public Const CMD_TabImportDWGFontMapping = 2559
Public Const CMD_TabExportDWGFontMapping = 2560
Public Const CMD_TabGCDFontNamePool = 2561
Public Const CMD_TabDWGFontNamePool = 2562
Public Const CMD_TabGCDSettings = 2563
Public Const CMD_TabDWGSettings = 2564

Public Const CMD_ConstPts = 2565
Public Const CMD_HandlePts = 2566
Public Const CMD_CurveTangentPoints = 2567
Public Const CMD_DBaseDlg = 2568
Public Const CMD_DBaseAssocList = 2569
Public Const CMD_ToolbarDlg = 2570
Public Const CMD_ConstraintViewDlg = 2571
Public Const CMD_AcadPolylineWidth = 2572

Public Const CMD_ACADImportExportMgr = 2573	'Added version 4.0.0
Public Const CMD_GCDImportExportMgr = 2574	'Added version 4.0.0
Public Const CMD_TabDWGColorImport = 2575	'Added version 4.0.0
Public Const CMD_TabDWGColorExport = 2576	'Added version 4.0.0
Public Const CMD_TabSystem1 = 2577	'Added version 4.0.0 replaces CMD_TabSystem
Public Const CMD_TabSystem2 = 2578	'Added version 4.0.0
Public Const CMD_TabSys2_Adv = 2579	'Added version 4.0.0
Public Const CMD_OrthoAdv = 2580	'Added version 4.0.0
Public Const CMD_HidLayerMsg = 2581	'Added version 4.0.0

Public Const CMD_DimProxFixed = 2590
Public Const CMD_DimHorzText = 2591
Public Const CMD_DimInLineText = 2592

Public Const CMD_ArrowFlip = 2600
Public Const CMD_TabLeader = 2601

Public Const CMD_TabPlotterPenMapSettings = 2602
Public Const CMD_TabPlotterSettings = 2603
Public Const CMD_TabPlotterLanguageSettings = 2604

Public Const CMD_DimTextAlignDlg = 2605
Public Const CMD_LeaderEditDlg = 2606
Public Const CMD_DimShowDash = 2607
Public Const CMD_TextSettingsDlg = 2608
Public Const CMD_DimSettingsDlg = 2609
Public Const CMD_LeaderSettingsDlg = 2610

' Reference Frame Zooms
Public Const CMD_RFZoomRegen = 2611
Public Const CMD_RFZoomScale = 2612
Public Const CMD_RFZoomArea = 2613
Public Const CMD_RFZoomIn = 2614
Public Const CMD_RFZoomOut = 2615
Public Const CMD_RFZoomPan = 2616
Public Const CMD_RFZoomAll = 2617
Public Const CMD_RFZoomView = 2618
Public Const CMD_RFZoomPrevious = 2619
Public Const CMD_RFDrawBoundary = 2620
Public Const CMD_RFBirdsEye = 2621
Public Const CMD_RFResize = 2622
Public Const CMD_RFLayerManager = 2623
Public Const CMD_RFTransparent = 2624
Public Const CMD_RFSize = 2625
Public Const CMD_RFUpdateFileLink = 2626
Public Const CMD_ToFront = 2640
Public Const CMD_ToBack = 2641

' Ref Frame Dlg id
Public Const CMD_Tab = 2650
Public Const CMD_RefFrameNameDlg = 2651
Public Const CMD_RefFrameMDIDlg = 2652 'Removed version 5.0.0
Public Const CMD_DimScaleDlg = 2653

Public Const CMD_MultiLineSettingsDlg = 2654 'Added version 4.0.0
Public Const CMD_DateStamp = 2655 'Added version 4.0.0

Public Const CMD_LGUNDO = 2660
Public Const CMD_LGSAVE = 2661
Public Const CMD_LGREDO = 2663
Public Const CMD_LGPRINT = 2664
Public Const CMD_LGPASTE = 2665
Public Const CMD_LGOPEN = 2666
Public Const CMD_LGHELP = 2667
Public Const CMD_LGCUT = 2668
Public Const CMD_LGCOPYC = 2669
Public Const CMD_LGNEW = 2670
Public Const CMD_LGHELPCUR = 2671
Public Const CMD_LGPRINTSETUP = 2672

Public Const CMD_TextVectorSett = 2700

' CMD_DimLeaderTextDlg
Public Const CMD_DimLeaderStringDlg = 2709
Public Const CMD_DimLeaderArrowDlg = 2710
Public Const CMD_DimLeaderEditDlg = 2711
Public Const CMD_DimLeaderDatumDlg = 2712
Public Const CMD_DimLeaderSpacingDlg = 2713

Public Const CMD_BearingDistance = 2714 'Added version 4.0.0
Public Const CMD_BearingSettingsDlg = 2715 'Added version 4.0.0
Public Const CMD_BearingLabel = 2716 'Added version 4.0.0

Public Const CMD_DocMgr = 2720 'Added version 3.0.0
Public Const CMD_SymBreak = 2721 'Added version 3.0.0
Public Const CMD_SymMend = 2722 'Added version 3.0.0
Public Const CMD_SymSetInsertColor = 2723 'Added version 3.0.0
Public Const CMD_Customize = 2724 'Added version 3.0.0
Public Const CMD_RubberSheeting = 2725 'Added version 3.0.0
Public Const CMD_MoveToLayer = 2726 'Added version 3.0.0
Public Const CMD_CopyToLayer = 2727 'Added version 3.0.0

'Display Units 100 below Dimension Units
Public Const CMD_UnitDisplayInch = 2731 'Added version 3.0.0
Public Const CMD_UnitDisplayFeet = 2732 'Added version 3.0.0
Public Const CMD_UnitDisplayFeetInch = 2733 'Added version 3.0.0
Public Const CMD_UnitDisplayMile = 2734 'Added version 3.0.0

Public Const CMD_UnitDisplayFracInch = 2735 'Added version 3.0.0
Public Const CMD_UnitDisplayFracFeet = 2736 'Added version 3.0.0
Public Const CMD_UnitDisplayFracFeetInch = 2737 'Added version 3.0.0

Public Const CMD_UnitDisplayMM = 2738 'Added version 3.0.0
Public Const CMD_UnitDisplayCM = 2739 'Added version 3.0.0
Public Const CMD_UnitDisplayMeter = 2740 'Added version 3.0.0
Public Const CMD_UnitDisplayKilo = 2741 'Added version 3.0.0

Public Const CMD_XYLock = 2742 'Added version 3.0.0

Public Const CMD_WinErase = 2743 'Added version 3.0.0
Public Const CMD_ObjErase = 2744 'Added version 3.0.0
Public Const CMD_WinMove = 2745 'Added version 3.0.0
Public Const CMD_WinCopy = 2746 'Added version 3.0.0
Public Const CMD_ObjCopy = 2747 'Added version 3.0.0
Public Const CMD_ObjMove = 2748 'Added version 3.0.0
Public Const CMD_WinRotate = 2749 'Added version 3.0.0
Public Const CMD_DwgRotate = 2750 'Added version 3.0.0
Public Const CMD_WinChange = 2751 'Added version 3.0.0
Public Const CMD_DwgChange = 2752 'Added version 3.0.0
Public Const CMD_WinScale = 2753 'Added version 3.0.0
Public Const CMD_DwgScale = 2754 'Added version 3.0.0
Public Const CMD_ObjChange = 2755 'Added version 3.0.0
Public Const CMD_WinHatch = 2756 'Added version 3.0.0
Public Const CMD_WinFill = 2757 'Added version 3.0.0
Public Const CMD_WizText = 2758 'Added version 3.0.0
Public Const CMD_WizDim = 2759 'Added version 3.0.0
Public Const CMD_WizDraw = 2760 'Added version 3.0.0
Public Const CMD_WizProp = 2761 'Added version 3.0.0

Public Const CMD_OSnapMode = 2770 'Added version 3.0.0
Public Const CMD_OSnapType = 2771 'Added version 3.0.0
Public Const CMD_OSnapPreview = 2772 'Added version 3.0.0
Public Const CMD_ApertureMode = 2773 'Added version 3.0.0

Public Const CMD_RSEndPoint = 2774 'Added version 4.0.0
Public Const CMD_RSObject = 2775 'Added version 4.0.0
Public Const CMD_RSMidPoint = 2776 'Added version 4.0.0
Public Const CMD_RSIntersec = 2777 'Added version 4.0.0
Public Const CMD_RSPerpend = 2778 'Added version 4.0.0
Public Const CMD_RSTangent = 2779 'Added version 4.0.0
Public Const CMD_RSPercent = 2780 'Added version 4.0.0
Public Const CMD_RSQuadrant = 2781 'Added version 4.0.0
Public Const CMD_RSCenter = 2782 'Added version 4.0.0
Public Const CMD_RSAll = 2783 'Added version 4.0.0

Public Const CMD_DrawLineMid = 2800 'Added version 3.0.0
Public Const CMD_UserAlert = 2801 'Added version 3.0.0

Public Const CMD_ToolScriptRun = 2802 'Added version 4.0.0
Public Const CMD_AutoProperties = 2803 'Added version 4.0.0

Public Const CMD_SendAlert = 2804 'Added version 5.0.0

' Dimension Units 100 above Display Units
Public Const CMD_UnitDimensionInch = 2831 'Added version 4.0.5
Public Const CMD_UnitDimensionFeet = 2832 'Added version 4.0.5
Public Const CMD_UnitDimensionFeetInch = 2833 'Added version 4.0.5
Public Const CMD_UnitDimensionMile = 2834 'Added version 4.0.5

Public Const CMD_UnitDimensionFracInch = 2835 'Added version 4.0.5
Public Const CMD_UnitDimensionFracFeet = 2836 'Added version 4.0.5
Public Const CMD_UnitDimensionFracFeetInch = 2837 'Added version 4.0.5

Public Const CMD_UnitDimensionMM = 2838 'Added version 4.0.5
Public Const CMD_UnitDimensionCM = 2839 'Added version 4.0.5
Public Const CMD_UnitDimensionMeter = 2840 'Added version 4.0.5
Public Const CMD_UnitDimensionKilo = 2841 'Added version 4.0.5

' Dimension Secondary Units 100 above Dimension Units
Public Const CMD_UnitSecondaryInch = 2931 'Added version 4.0.5
Public Const CMD_UnitSecondaryFeet = 2932 'Added version 4.0.5
Public Const CMD_UnitSecondaryFeetInch = 2933 'Added version 4.0.5
Public Const CMD_UnitSecondaryMile = 2934 'Added version 4.0.5

Public Const CMD_UnitSecondaryFracInch = 2935 'Added version 4.0.5
Public Const CMD_UnitSecondaryFracFeet = 2936 'Added version 4.0.5
Public Const CMD_UnitSecondaryFracFeetInch = 2937 'Added version 4.0.5

Public Const CMD_UnitSecondaryMM = 2938 'Added version 4.0.5
Public Const CMD_UnitSecondaryCM = 2939 'Added version 4.0.5
Public Const CMD_UnitSecondaryMeter = 2940 'Added version 4.0.5
Public Const CMD_UnitSecondaryKilo = 2941 'Added version 4.0.5

Public Const CMD_DrawFirst = 2950 'Added version 5.0.0
Public Const CMD_DrawLast = 2951 'Added version 5.0.0
Public Const CMD_DrawAfter = 2952 'Added version 5.0.0
Public Const CMD_DrawBefore = 2953 'Added version 5.0.0

Public Const CMD_SpellCheck = 2960 'Added version 5.0.0
Public Const CMD_SpellOptions = 2961 'Added version 5.0.0

Public Const TOKENTOOLLAST = 3100

Public Const TOKENOTHERFIRST = 3101
Public Const CMD_Base = 3101
Public Const ID_MESSAGE = 3101

Public Const ID_UpdateByExampleInspector = 3101 'Added version 3.0.0
Public Const ID_UpdateByExample = 3102
Public Const ID_OpenToolbar = 3103
Public Const ID_StatusBar = 3104
Public Const ID_StatusBarToggles = 3105
Public Const ID_OpenLeftToolbar = 3106
Public Const ID_CreateToolDialog = 3107
Public Const ID_DeleteToolDialog = 3108
Public Const MSG_EditChange = 3109
Public Const ID_UpdateControls = 3110
Public Const ID_CurrDlgMessage = 3111
Public Const MSG_DisplayDlgValues = 3112
Public Const MSG_EditComplete = 3113
Public Const ID_AbortCurrentDialog = 3114
Public Const MSG_EditAbort = 3115

Public Const MSG_DispatchNextPoint = 3116
Public Const MSG_DispatchCommand = 3117
Public Const ID_ProcessTool = 3118
Public Const ID_CreateDialogModeless = 3119
Public Const ID_OpenLastDrawing1 = 3120
Public Const ID_OpenLastDrawing2 = 3121
Public Const ID_OpenLastDrawing3 = 3122
Public Const ID_OpenLastDrawing4 = 3123
Public Const ID_OpenLastDrawing5 = 3124
Public Const ID_OpenLastDrawing6 = 3125
Public Const ID_OpenLastDrawing7 = 3126
Public Const ID_OpenLastDrawing8 = 3127
Public Const ID_OpenLastDrawing9 = 3128
Public Const ID_OpenLastDrawing10 = 3129
Public Const ID_OpenLastDrawing11 = 3130 'Added version 3.0.0
Public Const ID_OpenLastDrawing12 = 3131 'Added version 3.0.0
Public Const ID_OpenLastDrawing13 = 3132 'Added version 3.0.0
Public Const ID_OpenLastDrawing14 = 3133 'Added version 3.0.0
Public Const ID_OpenLastDrawing15 = 3134 'Added version 3.0.0
Public Const ID_OpenLastDrawing16 = 3135 'Added version 3.0.0
Public Const ID_CreateToolDialogWithId = 3136
Public Const ID_GetDialogFromId = 3137 'Added version 4.0.0

Public Const ID_CreateToolModal = 3140
Public Const ID_CreateToolModalWithId = 3141
Public Const ID_CreateDialogModal = 3142
Public Const ID_UpdateManager = 3143
Public Const ID_AllWorldsDestroyed = 3144
Public Const MSG_METERSTART = 3145
Public Const MSG_METERSTOP = 3146
Public Const MSG_METERSTEP = 3147
Public Const ID_DeleteDialog = 3148
Public Const MSG_ReleaseMouseMenu = 3149
Public Const MSG_RegenMerge = 3150
Public Const MSG_DrawEntity = 3151
Public Const MSG_UpdateBirdsEyeView = 3152
Public Const MSG_MyMsgBox = 3153
Public Const MSG_DIGPOINT = 3154
Public Const ID_UpdateProperties = 3155
Public Const ID_UpdateByExampleMulti = 3156 'Added version 3.0.0
Public Const ID_HatchErrorDlg = 3157 'Added version 4.0.0
Public Const ID_CheckMessageBox = 3158 'Added version 5.0.0

' symbol manager messages
Public Const ID_CreateFromDrag = 3160 'Added version 3.0.0
Public Const ID_AbortCreateFromDrag = 3161 'Added version 3.0.0

Public Const ID_PersistentTools = 3170
Public Const ID_MenuShortcuts = 3171

Public Const CMD_BTProperty = 3172 'Redefined version 5.0.0 was 3102
Public Const CMD_FilterFromSelectionRibalog = 3173 'Redefined version 5.0.0 was 3103
Public Const CMD_SelectionRibalogWithId = 3174 'Redefined version 5.0.0 was 3104
Public Const CMD_SelLayerFromSelectionRibalog = 3175 'Redefined version 5.0.0 was 3105
Public Const CMD_VCF = 3176 'Redefined version 5.0.0 was 3106
Public Const CMD_TrueType = 3177 'Redefined version 5.0.0 was 3107
Public Const CMD_Maximize = 3178 'Redefined version 5.0.0 was 3108
Public Const CMD_MaximizeDn = 3179 'Redefined version 5.0.0 was 3109

' HARD TO CATEGORIZE Section
Public Const CMD_Misc = 3301

Public Const CMD_FontName = 3308
Public Const DBaseDlgReset = 3309
Public Const ID_RestoreToolbar = 3310
Public Const CMD_Macro = 3312
Public Const CMD_Hint = 3313
Public Const CMD_DlgOk = 3315
Public Const CMD_DlgMatch = 3316

Public Const CMD_DefaultTool = 3329
Public Const CMD_ShowAngle2 = 3333
Public Const CMD_ShowAngle3 = 3334
Public Const CMD_ShowDist = 3335
Public Const CMD_AutomationMacro = 3344
Public Const CMD_AttributeEmbedDlg = 3368
Public Const CMD_AttributeCreateDlg = 3369
Public Const CMD_AttributeAttachDlg = 3370
Public Const CMD_SpecificAttributeAttachDlg = 3371
Public Const CMD_AttributeEditDlg = 3372
Public Const CMD_UpdateControls = 3373
Public Const CMD_OLEDrawingDirty = 3374
Public Const CMD_RegEdit = 3375
' Public Const ID_MESSAGE = 3376
Public Const CMD_ShowHidLayerMsg = 3377 'Added version 5.0.0

' Windows Section
Public Const CMD_Windows = 3401

' Non Tool Settings
Public Const NonToolBase = 6101
' all non tool commands defined between  CMD_NonToolBase & CMD_NonToolBaseEnd

' Drawing Settings
Public Const CMD_DrawingSettings = 6101
Public Const CMD_RPolygonNSides3 = 6106
Public Const CMD_RPolygonNSides4 = 6107
Public Const CMD_RPolygonNSides5 = 6108
Public Const CMD_RPolygonNSides6 = 6109
Public Const CMD_RPolygonNSides7 = 6110
Public Const CMD_RPolygonNSides8 = 6111
Public Const CMD_RPolygonNSides9 = 6112
Public Const CMD_RPolygonNSides10 = 6113
Public Const CMD_RPolygonNSides11 = 6114
Public Const CMD_RPolygonNSides12 = 6115
Public Const CMD_LeftJustify = 6117
Public Const CMD_LeftJustifyDn = 6118
Public Const CMD_CenterJustify = 6119
Public Const CMD_CenterJustifyDn = 6120
Public Const CMD_RightJustify = 6121
Public Const CMD_RightJustifyDn = 6122
Public Const CMD_Bold = 6123
Public Const CMD_BoldDn = 6124
Public Const CMD_Italic = 6125
Public Const CMD_ItalicDn = 6126
Public Const CMD_MEAbsolute = 6127
Public Const CMD_MERelative = 6128
Public Const CMD_MEBasepoint = 6129
Public Const CMD_RPolygonInscribed = 6130
Public Const CMD_Underline = 6131
Public Const CMD_UnderlineDn = 6132
Public Const CMD_Strikeout = 6133

' Bool commands
Public Const CMD_Bool = 6501

' all NON tool commands defined between  CMD_3000+1000+1024+76+1000+1 & CMD_NonToolBaseEnd
Public Const NonToolBaseEnd = 6601
Public Const LASTVALIDTOKEN = 6601

' General string entity names, error messages
Public Const ID_StringTable = 6601
Public Const IDS_Dimension = 6602
Public Const IDS_Entity = 6603
Public Const IDS_Hatch = 6604
Public Const IDS_Fill = 6605
Public Const IDS_Attribute = 6606
Public Const IDS_Text = 6607
Public Const IDS_Absolute = 6608
Public Const IDS_Relative = 6609
Public Const IDS_Basepoint = 6610

' Numeric tab dialog
Public Const IDS_Inch = 6611
Public Const IDS_Feet = 6612
Public Const IDS_FeetInch = 6613
Public Const IDS_Mile = 6614
Public Const IDS_MM = 6615
Public Const IDS_CM = 6616
Public Const IDS_Meter = 6617
Public Const IDS_Kilo = 6618

' dialog template names updated for Win95 and filters
Public Const IDS_FileOpenFilter = 6619
Public Const IDS_FileSaveFilter = 6620
Public Const IDS_FileOpenTemplateName = 6621
Public Const IDS_FileSaveTemplateName = 6622
Public Const IDS_FileOpenTitle = 6623
Public Const IDS_FileSaveTitle = 6624

Public Const IDS_SymbolLoadFilter = 6625
Public Const IDS_SymbolSaveFilter = 6626
Public Const IDS_SymbolSaveTemplateName = 6627
Public Const IDS_SymbolLoadTitle = 6628
Public Const IDS_SymbolSaveTitle = 6629

Public Const IDS_StyleLoadFilter = 6630
Public Const IDS_StyleLoadTitle = 6631
Public Const IDS_StyleSaveFilter = 6632
Public Const IDS_StyleSaveTitle = 6633

Public Const IDS_AtbLoadFilter = 6634
Public Const IDS_AtbSaveFilter = 6635
Public Const IDS_AtbSaveTemplateName = 6636
Public Const IDS_AtbLoadTitle = 6637
Public Const IDS_AtbSaveTitle = 6638

Public Const IDS_FileMergeFilter = 6639
Public Const IDS_FileMergeTemplateName = 6640
Public Const IDS_FileMergeTitle = 6641

Public Const IDS_LoadMenuFilter = 6642
Public Const IDS_LoadMenuTitle = 6643

Public Const IDS_BrowseFilter = 6644
Public Const IDS_BrowseTemplateName = 6645
Public Const IDS_BrowseTitle = 6646

Public Const IDS_LoadAsciiFilter = 6647
Public Const IDS_LoadAsciiTitle = 6648

Public Const IDS_FileOpenBtnTemplateName = 6649

' Keep original template names for NT
Public Const IDS_FileOpenTemplateNameNT = 6650
Public Const IDS_FileSaveTemplateNameNT = 6651
Public Const IDS_SymbolSaveTemplateNameNT = 6652
Public Const IDS_AtbSaveTemplateNameNT = 6653
Public Const IDS_FileMergeTemplateNameNT = 6654
Public Const IDS_BrowseTemplateNameNT = 6655

Public Const IDS_FileSaveWithEMFFilter = 6656 'Use this for saving if "Allow EMF==1" in Registry

Public Const IDS_FontConvertFilter = 6660 'Added version 3.0.0
Public Const IDS_FontConvertTitle = 6661 'Added version 3.0.0
Public Const IDS_FontConvertTemplateName = 6662 'Added version 3.0.0
Public Const IDS_FontConvertTemplateNameNT = 6663 'Added version 3.0.0

Public Const IDS_AbsoluteFull = 6670 'Added version 3.0.0
Public Const IDS_RelativeFull = 6671 'Added version 3.0.0
Public Const IDS_BasepointFull = 6672 'Added version 3.0.0

' Numeric tab dialog
Public Const IDS_FRAC = 6673 'Added version 4.0.0

' script constants
Public Const ScriptBase = 6602
Public Const CMD_Script001 = 6603
Public Const ScriptLast = 8652
